Bug 593371 - [abrt] crash in eclipse-platform-1:3.5.2-1.fc13: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in eclipse-platform-1:3.5.2-1.fc13: Process /usr/lib/eclipse/ecl...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3f068f5a8ffeace737b45bca40b...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 16:09 UTC by Mat Booth
Modified: 2010-08-23 20:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 20:20:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.21 KB, text/plain)
2010-05-18 16:09 UTC, Mat Booth
no flags Details

Description Mat Booth 2010-05-18 16:09:46 UTC
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/eclipse/eclipse
comment: No idea, Eclipse just disappeared on me... Could also be an OpenJDK bug. Please change the component, if necessary.
component: eclipse
executable: /usr/lib/eclipse/eclipse
global_uuid: 3f068f5a8ffeace737b45bca40bd7549692ffc28
kernel: 2.6.33.3-79.fc13.i686
package: eclipse-platform-1:3.5.2-1.fc13
rating: 4
reason: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

Comment 1 Mat Booth 2010-05-18 16:09:49 UTC
Created attachment 414902 [details]
File: backtrace

Comment 2 Andrew Overholt 2010-05-18 17:26:47 UTC
CCing some OpenJDK people.

Comment 3 Andrew Haley 2010-05-18 17:32:29 UTC
Is this reproducible?

Comment 4 Mat Booth 2010-05-19 15:56:39 UTC
I have not managed to reproduce it so far. All I was doing was just debugging a Java app in Eclipse as I normally would, so I've no idea what triggered it.

Comment 5 Andrew Haley 2010-05-19 17:02:00 UTC
Sure.  Unfortunately, there isn't much we can do other than note that it's happened.

It was an exception raised by malloc, so it could be a bug in any of the libraries linked to Eclipse, or the native code in Eclipse itself, or maybe even a cosmic ray.  Or a bug in OpenJDK.

Comment 6 Andrew Overholt 2010-08-23 19:28:52 UTC
Should we keep this open?

Comment 7 Mat Booth 2010-08-23 20:12:31 UTC
I've not seen this crash since I originally reported it, so... *shrug*

I'll reopen it if it happens again.


Note You need to log in before you can comment on or make changes to this bug.